Skip to main content
GET
/
workflows
/
logs
List Workflow Logs
curl --request GET \
  --url https://{api_base_url}/workflows/logs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_base_url}/workflows/logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_base_url}/workflows/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 1,
  "limit": 20,
  "total": 1,
  "has_more": false,
  "data": [
    {
      "id": "b7e2f8a1-3c4d-5e6f-7890-abcdef123456",
      "workflow_run": {
        "id": "fb47b2e6-5e43-4f90-be01-d5c5a088d156",
        "version": "2025-01-16 12:00:00.000000",
        "status": "succeeded",
        "error": null,
        "elapsed_time": 1.23,
        "total_tokens": 150,
        "total_steps": 3,
        "created_at": 1705407629,
        "finished_at": 1705407630,
        "exceptions_count": 0,
        "triggered_from": "app-run"
      },
      "created_from": "service-api",
      "created_by_role": "end_user",
      "created_by_account": null,
      "created_by_end_user": {
        "id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
        "type": "service_api",
        "is_anonymous": false,
        "session_id": "user_workflow_123"
      },
      "created_at": 1705407629
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Query Parameters

keyword
string

Keyword to search in logs.

status
enum<string>

Filter by execution status.

Available options:
succeeded,
failed,
stopped
page
integer
default:1

Page number for pagination.

Required range: 1 <= x <= 99999
limit
integer
default:20

Number of items per page.

Required range: 1 <= x <= 100
created_at__before
string<date-time>

Filter logs created before this ISO 8601 timestamp.

created_at__after
string<date-time>

Filter logs created after this ISO 8601 timestamp.

created_by_end_user_session_id
string

Filter by end user session ID.

created_by_account
string

Filter by the creator's account email (e.g., name@example.com).

Response

200 - application/json

Successfully retrieved workflow logs.

page
integer

Current page number.

limit
integer

Number of items per page.

total
integer

Total number of log entries.

has_more
boolean

Whether more pages are available.

data
object[]

List of workflow log entries.

Last modified on July 9, 2026